TLSRPT-FETCHER(1)

NAME
tlsrpt-fetcher - The data transfer agent to bring TLSRPT report data from the tlsrpt-collectd to the tlsrpt-reportd.

SYNOPSIS

tlsrpt-fetcher [OPTION] DAY [DOMAIN]

DESCRIPTION

The tlsrpt-fetcher is called by the tlsrpt-reportd to collect the pre-aggregated data from tlsrpt-collectds. The data retrieval is done in two steps.

In the first step, the reportd asks for a list of domains for which data was collected.

In this step the reportd first checks if the tlsrpt-fetcher supports a matching protocol version in case future versions will use a different protocol. The fetcher-protocol version is therefore the first line.

The second line is the current time of the tlsrpt-collectd/tlsrpt-fetcher bundle. If the time differs too much from the time of the tlsrpt-reportd a warning is given that the data may not be completely processed.

The following lines are the domains, one domain per line. The end of the list is signalled by a line containing just one single "."

OPTIONS

--storage=URL
    Use data storage described by URL.

  General options

--config_file=filename
    Read options from the section tlsrpt_fetcher of the INI-style configuration file filename. Environment variables override setings from the configurstion file and command line options override both.

--help
    Print a help message describing all options.

  Logging options

--logfilename=filename
    Use filename as log file.

--log_level=level
    Set log level to level, allowed values: debug, info, warn, error.

ENVIRONMENT

All config options except --help and --config_file can also be set via environment variables. The environment variable for a configuration option is the prefix TLSRPT_FETCHER_ followed by the configuration setting name in all caps. For example the --log_level option can instead by configured using the TLSRPT_FETCHER_LOG_LEVEL environment variable.

EXIT STATUS

0
    Success.

1
    Failure. Data could not be delivered.

EXAMPLES

Fetch list of domains that have reporting data for teh day of 2001-02-03. Prints a transfer protocol header and a list of the domains with one domain per line. The protocol header consists of two lines: - the protocol version - the current time of the data source in UTC

A single "." marks the end of the list:

tlsrpt-fetcher 2001-02-03

Fetch report details for domain example.com for the day of 2001-02-03:

tlsrpt-fetcher 2001-02-03 example.com

SEE ALSO

man:tlsrpt-collectd[1], man:tlsrpt-reportd[1]

AUTHOR

Boris Lohner